ST_FilterByM
Prev | 8.14. Geometry Processing | Next

## Name

ST_FilterByM — Removes vertices based on their M value

## Synopsis

`geometry ST_FilterByM(`geometry geom, double precision min, double precision max = null, boolean returnM = false`)`;

## Description

Filters out vertex points based on their M-value. Returns a geometry with only vertex points that have a M-value larger or equal to the min value and smaller or equal to the max value. If max-value argument is left out only min value is considered. If fourth argument is left out the m-value will not be in the resulting geometry. If resulting geometry have too few vertex points left for its geometry type an empty geometry will be returned. In a geometry collection geometries without enough points will just be left out silently.

This function is mainly intended to be used in conjunction with ST_SetEffectiveArea. ST_EffectiveArea sets the effective area of a vertex in its m-value. With ST_FilterByM it then is possible to get a simplified version of the geometry without any calculations, just by filtering

There is a difference in what ST_SimplifyVW returns when not enough points meet the criteria compared to ST_FilterByM. ST_SimplifyVW returns the geometry with enough points while ST_FilterByM returns an empty geometry

Note that the returned geometry might be invalid

This function returns all dimensions, including the Z and M values

Availability: 2.5.0

## Examples

A linestring is filtered

    SELECT ST_AsText(ST_FilterByM(geom,30)) simplified
    FROM (SELECT  ST_SetEffectiveArea('LINESTRING(5 2, 3 8, 6 20, 7 25, 10 10)'::geometry) geom) As foo;
    -result
             simplified
    ----------------------------
     LINESTRING(5 2,7 25,10 10)

## See Also

ST_SetEffectiveArea, ST_SimplifyVW

Prev | Up | Next
ST_DelaunayTriangles | Home | ST_GeneratePoints